---
title: "Sketchy Maze v0.9.0 Released"
date: 2021-10-09T21:38:16-07:00
draft: false
---
A new version of Sketchy Maze has been released! This release comes with some
**huge** quality of life improvements, new doodads, and a new level!

![screenshot](/images/v0.9.0-gameplay.png)

Some of the highlights of this release include:

## Touch Controls!

The game is now 100% playable on Linux mobile devices such as the Pine64
Pinephone. In the level editor, drag with two fingers to pan the view of
your level and for gameplay, just touch in the direction you want to go.
On-screen hints will appear if you stand still for a moment. I'm beginning
to look at Android support, stay tuned!

## Giant Screenshot

Take a _huge_ screenshot of your entire level in the editor! May be a little
buggy for levels having negative coordinates (to the left and above origin).
Bounded and Unbounded levels come out the best. Give it a try!

## Quality of Life

Some improvements to the level editing experience:

* **"Playtest from here":** in the level editor, click and drag from the
  "Play (P)" button and drop your player character on the map. You will
  playtest the map from here instead of the Start Flag.
* **Middle-click to pan:** scroll the level editor viewport (and title screen!)
  by clicking the middle mouse button and dragging, or by two finger swipe
  on touchscreens.
* **Open a new Viewport:** get a popup window that looks into a different part
  of your level. Open as many as you like! Make them bigger or smaller!

## More Changes & Download

There's a bunch more changes, check the [change log](/guidebook/changes.html)
for the full details.

Download the latest builds **[here](/download)!**